<h1>Create image</h1>

<div class="actions">
  <a [routerLink]="['/user', userId, 'image-list']" mat-raised-button color="primary">Back to list</a>
</div>


<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <mat-form-field appearance="fill">
    <mat-label>Name</mat-label>
    <input type="text" matInput [formControl]="name">
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>Image url</mat-label>
    <input type="text" matInput [formControl]="imageUrl">
  </mat-form-field>

  <button mat-raised-button color="primary" type="submit" [disabled]="form.invalid">Submit</button>
</form>
